use cgmath::{Deg, Point3};
use galactica_content::TextureHandle;

use crate::render::Sprite;

pub struct SystemObject {
	pub sprite_texture: TextureHandle,
	pub pos: Point3<f32>,
	pub size: f32,
	pub angle: Deg<f32>,
}

impl SystemObject {
	pub(super) fn get_sprite(&self) -> Sprite {
		return Sprite {
			texture: self.sprite_texture,
			pos: self.pos,
			angle: self.angle,
			size: self.size,
			children: None,
		};
	}
}
